<?xml version="1.0" encoding="utf-8" ?>
<nlog xmlns="http://www.nlog-project.org/schemas/NLog.xsd"
      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">

  <variable name="console" value="${callsite:className=false:filename=true:includeSourcePath=true:methodName=false} : ${level:uppercase=true} | ${message}" />

  <targets async="true">
    <target name="debug" xsi:type="Debugger" layout="${console}" />
    <target name="console" xsi:type="ColoredConsole" layout="${console}" />

    <target name="logfile" xsi:type="File" 
            deleteOldFileOnStartup="false" keepFileOpen="true"
            fileName="${specialfolder:folder=MyDocuments}/Tribute Games/Flinthook/log.txt"
            header="Time Started : ${time}${newline}"
            footer="Time Ended : ${time}${newline}Duration : ${processtime}${newline}"
            layout="${processtime} - ${callsite:className=true:filename=false:includeSourcePath=false:methodName=true} : ${level:uppercase=true} | ${message}" />
  </targets>
  
</nlog>